Subject: Re: [alto] [art] Artart last call review of draft-ietf-alto-performance-metrics-17

From: Francesca Palombini <[email-masked]>
Date: Wed, 1 Dec 2021 21:59:35 +0000

Christian: thank you very much for this review! I balloted DISCUSS to make sure some issues with JSON in the examples are fixed before publication. I was happy to see almost all your comments were addressed by the authors.

Francesca

From: art <[email-masked]> on behalf of Christian Amsüss <[email-masked]>
Date: Monday, 18 October 2021 at 16:15
To: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject: Re: [art] Artart last call review of draft-ietf-alto-performance-metrics-17
Hello,

On Mon, Oct 18, 2021 at 07:02:08AM -0700, Christian Amsüss via Datatracker wrote:
> ## Summary for the IoT Directorate

I performed the review with the wrong hat on, sorry for the mixup.

Refocusing on the ART review criteria brings up nothing new -- but the
point about the formal language used with metric-identifier deserves
more emphasis.

Likewise, the point about registration of the stat-typed metric
identifiers (and the possible structuring of the registry into
registered prefixes and per-prefix semantics for what is behind a colon)
now falls more directly into the scope of the review.

Otherwise, what was said with focus on the IoT applies likewise to the
use of HTTP and other general ART topics:

> As for conventions around the Internet of Things, this makes no choices -- if
> follows the path set out by ALTO, and adds terms and considerations for metrics
> established outside of ALTO.

Best regards
Christian

--
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom